@echo off
@Title Map and Unmap NAS Drives
rem ****************************************************
rem This file does the following:
rem   * removes all NAS network mappings 
rem   * checks if the NAS is available (plugged in)
rem   * if it is then drives are remapped
rem   * if not then the script exits
rem   ">nul 2>&1" suppresses any errors & prompts
rem ****************************************************

:RemoveMappings
    net use X: /delete /yes >nul 2>&1
    net use Y: /delete /yes >nul 2>&1
    net use Z: /delete /yes >nul 2>&1

:CheckNAS
    if exist \\192.168.0.10\ (
        goto :AddMappings 
    ) else (
        goto :End 
    )

:AddMappings
    net use X: \\192.168.0.10\MyFiles 	 	/user:Mark password123 /P:yes >nul 2>&1
    net use Y: \\192.168.0.10\MyMusic  	 	/user:Mark password123 /P:yes >nul 2>&1
    net use Z: \\192.168.0.10\WebDev 	 	/user:Mark password123 /P:yes >nul 2>&1

:End
Exit

